KDE 4.7 PyKDE API Reference

- KDE's Python API

# KRemoteEncoding Class Reference

`from PyKDE4.kio import *`

## Detailed Description

Allows encoding and decoding properly remote filenames into Unicode.

Certain protocols do not specify an appropriate encoding for decoding their 8-bit data into proper Unicode forms. Therefore, ioslaves should use this class in order to convert those forms into QStrings before creating the respective KIO.UDSEntry. The same is true for decoding URLs to its components.

Each KIO.SlaveBase has one object of this kind, even if it is not necessary. It can be accessed through KIO.SlaveBase.remoteEncoding.

A class for handling remote filenames

Author:
  Thiago Macieira <thiago.macieira@kdemail.net>

## Methods
| __init__ (self, QString name=0)
| __init__ (self, KRemoteEncoding a0)
QString | decode (self, QByteArray name)
QByteArray | directory (self, KUrl url, bool ignore_trailing_slash=1)
QByteArray | encode (self, QString name)
QByteArray | encode (self, KUrl url)
QString | encoding (self)
int | encodingMib (self)
QByteArray | fileName (self, KUrl url)
| setEncoding (self, QString name)

## Method Documentation

__init__ | ( | self, |
|  | QString | name=0
| ) |  |  |

Constructor.

Constructs this object to use the given encoding name. If name is a null pointer, the standard encoding will be used.

__init__ | ( | self, |
|  | KRemoteEncoding | a0
| ) |  |  |

QString decode | ( | self, |
|  | QByteArray | name
| ) |  |  |

Converts the given full pathname or filename to Unicode. This function is supposed to work for dirnames, filenames or a full pathname.

QByteArray directory | ( | self, |
|  | KUrl | url,
|  | bool | ignore_trailing_slash=1
| ) |  |  |

Converts the given URL into 8-bit form and separate the dirname from the filename. This is useful for slave functions like stat or get.

The dirname is returned with the final slash always stripped

QByteArray encode | ( | self, |
|  | QString | name
| ) |  |  |

Converts the given URL into its 8-bit components

QByteArray encode | ( | self, |
|  | KUrl | url
| ) |  |  |

Converts the given URL into its 8-bit components

QString encoding | ( |  | self ) |

Returns the encoding being used.

int encodingMib | ( |  | self ) |

Returns the MIB for the codec being used.

QByteArray fileName | ( | self, |
|  | KUrl | url
| ) |  |  |

Converts the given URL into 8-bit form and retrieve the filename.

setEncoding | ( | self, |
|  | QString | name
| ) |  |  |

Sets the encoding being used. This function does not change the global configuration.

Pass a null pointer in name to revert to the standard encoding.